LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices

Reply
 
Search this Thread
Old 03-19-2013, 03:50 PM   #1
yenn
Member
 
Registered: Jan 2011
Location: Czech Republic
Distribution: Slackware, Gentoo, FreeBSD
Posts: 160

Rep: Reputation: 21
Python Bus Error on current


Hi,

after latest upgrade (Mon Mar 18 22:03:18 UTC 2013) on current some python programs (wicd, picard) won't start. They fails on "Bus Error" which basically means that program gets SIGBUS signal and quit. I don't know which upgrade broke this, because last upgrade I took was on Fri Mar 1 05:41:39 UTC 2013 and many things (kernel, glibc, ...) got updated since then. Wicd and other things were definitely working before upgrade.

I'm not sure if that matters, but I ran own-build kernel 3.8.3.

Code:
yenn@neuromancer:~$ wicd-client  
Has notifications support True
Bus error
I run python self-test and it failed too
Code:
yenn@neuromancer:~$ python -c "from test import testall"
[...]
ctypes
ctypes._endian
ctypes.macholib
ctypes.macholib.dyld
Bus error
therefore I guess there is something broken either in Python or in system libraries which got upgraded recently.

Anyone experienced this?
 
Old 03-19-2013, 04:20 PM   #2
willysr
Senior Member
 
Registered: Jul 2004
Location: Jogja, Indonesia
Distribution: Slackware-Current
Posts: 2,594

Rep: Reputation: 435Reputation: 435Reputation: 435Reputation: 435Reputation: 435
I'm using 3.8.3 as well and all upgraded to -Current, but it's working fine here
have you confirmed that you have installed all the updates in -Current and not partial update?
 
Old 03-19-2013, 04:50 PM   #3
yenn
Member
 
Registered: Jan 2011
Location: Czech Republic
Distribution: Slackware, Gentoo, FreeBSD
Posts: 160

Original Poster
Rep: Reputation: 21
Well, I did partial upgrade - upgraded everything, but didn't installed new packages - because I don't have full slackware install (don't use KDE, XFCE and Emacs for instance) and with slackpkg's 'install-new' I have manually unselect everything from KDE.

Anyway I just run 'slackpkg install-new', skipped KDE, added ddd and xf86-video drivers and now it's working like a charm. I'm not sure what was missing, but thanks!

Last edited by yenn; 03-19-2013 at 04:52 PM.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Python 2.6 dependencies error installing python-sqlite2-2.5.5-1.1.i586.rpm jmp007 Linux - Newbie 1 02-11-2011 12:05 PM
[SOLVED] Bus error! related to python copy_reg? Laevatain Slackware 2 01-12-2010 11:44 PM
*Nearly* Successful Upgrade to Current - Could Not Start D-Bus- No X BobNutfield Slackware 6 06-05-2009 01:04 AM
Python bug in -current? Rupa Slackware 2 04-06-2008 06:46 PM
python: can you update the current shell from python? BrianK Programming 4 01-31-2008 01:18 AM


All times are GMT -5. The time now is 07:46 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration